@function makelongshadow($length,$angle) {
  $val: 0px 0px transparent;
  @for $i from 1 through $length {
    $val: #{$val}, #{$i}px #{$i*$angle}px #aaa;
  }
  @return $val;
}

.boot {
  background: radial-gradient(#fff, #aaa);
  background-size: 100vw 100vh;
  overflow: hidden;
  padding-top: 40vh;
  background-size: 100vw 100vh;
  overflow: hidden;
  padding-top: 40vh;
  position: fixed;
  top:0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 9999;
  opacity: 0;
  visibility: hidden;
  animation: netflix_style_container 3.5s ease-in-out;

  .logo {
    user-select: none;
    text-align: center;
    font-family: 'Roboto';
    font-size: 12vmin;
    font-weight: 700;
    animation: netflix_style 3.5s infinite;
    outline: none;
    white-space: nowrap;
  }

}

@keyframes netflix_style {
  0% {
    text-shadow: makelongshadow(100,1);
    color:#f3f3f3;
    transform: scale(1.5, 1.5);
  }
  10% {
    text-shadow: makelongshadow(100,1.5);
    color:#f3f3f3;
    transform: scale(1.5, 1.5);
  }
  15% {
     color:#f3f3f3;
  }
  20% {
    color:#e90418;
    text-shadow: none;
    transform: scale(1.1, 1.1);
  }
  75% {
    opacity: 1;
  }
  80% {
    opacity: 0;
    color:#e90418;
    transform: scale(0.85, 0.9);
  }

  100% {
    opacity: 0;
  }
}

@keyframes netflix_style_container {
  0% {
    visibility: visible;
    opacity: 1;
  }
  60% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
